## grub-installer 0.50ubuntu6

=== debian/changelog ===
grub-installer (0.50ubuntu6) warty; urgency=low

  * Updated translations:
    - Greek (el.po) by Logiotatidis George

 -- Colin Watson <cjwatson@canonical.com>  Tue, 12 Oct 2004 14:34:57 +0100

grub-installer (0.50ubuntu5) warty; urgency=low

  * Show the grub menu and raise the menu timeout if other operating systems
    are installed (closes: Ubuntu #993).

 -- Colin Watson <cjwatson@canonical.com>  Mon, 11 Oct 2004 17:55:28 +0100

grub-installer (0.50ubuntu4) warty; urgency=low

  * Backport from Debian (Joey Hess) for Warty #1337:
    - Use the user-params command to get parameters the user manually
      entered on the command line, and add these into the grub config file.

 -- Colin Watson <cjwatson@canonical.com>  Mon, 20 Sep 2004 17:48:40 +0100

grub-installer (0.50ubuntu3) warty; urgency=low

  * Tollef Fog Heen
    - Ubuntu branding.
  * Colin Watson
    - Update most translations.

 -- Colin Watson <cjwatson@flatline.org.uk>  Mon, 16 Aug 2004 17:34:35 +0100

grub-installer (0.50ubuntu2) warty; urgency=low

  * Colin Watson
    - grub-installer/bootdev must be asked (i.e. critical priority) on the
      code path where unsupported operating systems were found, otherwise
      bootdev ends up empty and grub-installer fails.

 -- Colin Watson <cjwatson@flatline.org.uk>  Mon,  2 Aug 2004 20:33:55 +0100

grub-installer (0.50ubuntu1) warty; urgency=low

  * Colin Watson
    - Ask grub-installer/with_other_os at critical priority, since it can
      render a previously working system unbootable if Linux doesn't boot
      and os-prober failed to detect your other operating systems.

 -- Colin Watson <cjwatson@flatline.org.uk>  Wed, 21 Jul 2004 15:56:16 +0100

grub-installer (0.50) unstable; urgency=low

  * Re-upload sans changes.

 -- Joey Hess <joeyh@debian.org>  Tue, 25 May 2004 15:27:13 -0300

grub-installer (0.49) unstable; urgency=low

  * Christian Perrier
    - Corrected typo in templates. Unfuzzied translations
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by George Papamichelakis
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - Gallegan (gl.po) by Héctor Fernández López
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Italian (it.po) by Stefano Melchior
    - Bøkmal, Norwegian (nb.po) by Knut Yrvin
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Turkish (tr.po) by Osman Yüksel
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Tue, 25 May 2004 12:27:19 -0300

grub-installer (0.48) unstable; urgency=low

  * Joshua Kwan
    - Add amd64 to arch list. Closes: #249360

 -- Joey Hess <joeyh@debian.org>  Mon, 17 May 2004 11:34:36 -0300

grub-installer (0.47) unstable; urgency=low

  * Joey Hess
   - Add a warning about failing to find an existing OS.
   - Add some examples of device specifications.
   - Do not default grub-installer/bootdev to anything; (hd0) is not a good
     default since the user has just chosen NOT to install to the mbr in the
     previous question.
  * Joshua Kwan
   - Add amd64 to Architecture: list. (Closes: #249360)
  * Christian Perrier
   - Added quotes around "/dev/hda2" as well as a missing space in templates
  * Updated translations:
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Basque (eu.po) by Piarres Beobide Egaa
    - French (fr.po) by Christian Perrier
    - Hungarian (hu.po) by VERK Istvn
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kstutis Bilinas
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by Andr Lus Lopes
    - Russian (ru.po) by Yuri Kozlov
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joshua Kwan <joshk@triplehelix.org>  Sun, 16 May 2004 23:41:52 -0700

grub-installer (0.46) unstable; urgency=low

  * Joey Hess
    - If grub is not installed to the MBR, do not use the makeactive
      command for chain-loaded OSes, as that would likely make grub
      inaccessible. Closes: #248509
  * Updated translations: 
    - Spanish (Castilian) (es.po) by Carlos Alberto Martn Edo
    - Basque (eu.po) by Piarres Beobide Egaa
    - Norwegian Nynorsk (nn.po) by Hvard Korsvoll
    - Portuguese (Brazil) (pt_BR.po) by Andr Lus Lopes

 -- Joey Hess <joeyh@debian.org>  Thu, 13 May 2004 10:05:10 -0300

grub-installer (0.45) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Spanish (Castilian) (es.po) by Carlos Alberto Martn Edo
    - Japanese (ja.po) by Kenshi Muto
    - Bokmal, Norwegian (nb.po) by Bjrn Steensrud
    - Norwegian Nynorsk (nn.po) by Hvard Korsvoll

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 2004 13:07:58 -0400

grub-installer (0.44) unstable; urgency=low

  * Joey Hess
    - Don't assume a kernel in /boot is on a different partiton, unless
      the mapped boot partitoin differs from the mapped root partition.

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Apr 2004 17:28:18 -0400

grub-installer (0.43) unstable; urgency=low

  * Updated translations: 
    - Gallegan (gl.po) by Hctor Fernndez Lpez
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Bokmal, Norwegian (nb.po) by Axel Bojer
    - Norwegian Nynorsk (nn.po) by Hvard Korsvoll
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Nikolai Prokoschenko
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Apr 2004 10:58:04 -0400



## grub-installer 1.07ubuntu2

=== debian/changelog ===
grub-installer (1.07ubuntu2) hoary; urgency=low

  * Drop priorities of grub-installer/with_other_os and
    grub-installer/only_debian questions to high (matching Debian) and
    medium respectively.

 -- Colin Watson <cjwatson@canonical.com>  Sat,  1 Jan 2005 23:52:05 +0000

grub-installer (1.07ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Tue,  9 Nov 2004 23:10:20 +0000

grub-installer (1.07) unstable; urgency=low

  * Frans Pop
    - Use proper quoting in get_serial_console function in postinst
      Closes: #279134
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Yuri Kozlov
    - Slovenian (sl.po) by Jure Čuhalev
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Nov 2004 10:00:50 -0500

grub-installer (1.06ubuntu2) hoary; urgency=low

  * Make sure grub-installer.isinstallable is executable.

 -- Colin Watson <cjwatson@canonical.com>  Thu,  4 Nov 2004 11:42:28 +0000

grub-installer (1.06ubuntu1) hoary; urgency=low

  * Resynchronise with Debian (thanks, Scott James Remnant).
  * Update Ubuntu branding.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 29 Oct 2004 12:02:35 +0100

grub-installer (1.06) unstable; urgency=low

  * Updated translations: 
    - Welsh (cy.po) by Dafydd Harries
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Latvian (lv.po) by Aigars Mahinovs
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 15:12:42 -0400

grub-installer (1.05) unstable; urgency=low

  * Joey Hess
    - Call grub-install with --recheck to ensure that it scans for devices
      anew when, for example, it's run a second time and told to install to a
      floppy this time. Closes: #265949
    - Support device notation for floppy drive, not just grub notation.
      Closes: #224636, #252562, #260486
  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Debian Indonesia Team
    - Italian (it.po) by Stefano Melchior
    - Lithuanian (lt.po) by Kęstutis Biliūnasn
    - Latvian (lv.po) by Aigars Mahinovs
    - Bøkmal, Norwegian (nb.po) by Bjorn Steensrud
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Oct 2004 18:34:50 -0400

grub-installer (1.04) unstable; urgency=low

  * Joey Hess
    - Added a grub-installer/skip template, to let automated installs force
      use of lilo-installer.
  * Christian Perrier
    - reworded the warning about installing GRUB on XFS
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Gallegan (gl.po) by Héctor Fenández López
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnasn
    - Bøkmal, Norwegian (nb.po) by Axel Bojer
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Russian (ru.po) by Russian L10N Team
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Sep 2004 20:56:48 -0400

grub-installer (1.03) unstable; urgency=low

  * Joey Hess
    - grub on xfs still only works sometimes. Make isinstallable script
      reove grub from the menu so lilo will be used, unless the menu is
      displayed, then it is left on the menu for experts to choose.
      Closes: #251526
    - Add a warning message about xfs to let the experts know it may not work.
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Latvian (lv.po) by Aigars Mahinovs
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll


## grub-installer 1.68ubuntu5.1

=== Makefile ===
CFLAGS := -Os -g -Wall

all: ensure-active

ensure-active: ensure-active.c
	$(CC) $(CFLAGS) $^ -o $@ -lparted

clean:
	rm -f ensure-active

## grub-installer 1.07.1

=== debian/changelog ===
grub-installer (1.07.1) unstable; urgency=low

  * Includes substitution variable fixes in translated templates.
  * Updated translations: 
    - Bosnian (bs.po) by Safir Šećerović
    - German (de.po) by Dennis Stampfer
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor

 -- Joey Hess <joeyh@debian.org>  Wed,  2 Feb 2005 18:06:47 -0500

=== debian/control ===
Source: grub-installer
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2), po-debconf (>= 0.5.0)
Standards-Version: 3.6.1

Package: grub-installer
Architecture: i386 hurd-i386 amd64
Provides: bootable-system
Depends: cdebconf-udeb, kernel-installer, created-fstab, di-utils-mapdevfs, os-prober
XB-Installer-Menu-Item: 73
XC-Package-Type: udeb
Description: Install GRUB on a hard disk

## grub-installer 1.09ubuntu2

=== debian/changelog ===
grub-installer (1.09ubuntu2) breezy; urgency=low

  * Remove splash boot parameter unless debian-installer/framebuffer=true
    (Ubuntu #13977).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  5 Sep 2005 14:08:09 +0100

grub-installer (1.09ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  6 Jun 2005 12:09:13 +0100

grub-installer (1.09) unstable; urgency=low

  * Timo Aaltonen, Colin Watson
    - In expert mode, ask for a GRUB password (if left blank, no password is
      set). Provide a grub-installer/password-crypted question which is
      never asked but allows the password to be kept encrypted in preseed
      files. If a password is set, make sure menu.lst isn't world-readable.
  * Christian Perrier
    - Style consistency changes on the GRUB password template
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po)
    - French (fr.po) by Christian Perrier
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Russian (ru.po) by Yuri Kozlov
    - Albanian (sq.po) by Elian Myftiu
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Colin Watson <cjwatson@debian.org>  Wed,  1 Jun 2005 01:16:10 +0000

grub-installer (1.08ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 May 2005 14:15:19 +0100

grub-installer (1.08) unstable; urgency=low

  * Joey Hess
    - Since lvdisplay may exit 0 even if run with a non-lvm device (such as
      /dev/discs/disc0/part0, which it knows isn't a lvm device name and
      aborts with an error message, but no failure code due to bug #250906),
      try to make the isinstallable check for /boot on lvm more robust by
      grepping the lvdisplay output for strings that indicate it really found
      a lvm volume.
    - Note that above fix is only needed for lvm1, not the lvm2 used by
      default in d-i.
  * Matt Kraai
    - Fix the spelling of "file system".
  * Colin Watson
    - DOS/Windows can't deal with booting from a non-first hard drive, so,
      if we're asked to install to hd* other than hd0, include suitable
      'map' commands when chain-loading DOS or Windows (closes: #269351).
  * Updated translations:
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Welsh (cy.po) by Dafydd Harries
    - Greek (el.po) by Kostas Papadimas
    - Spanish (es.po) by Enrique Matias Sanchez
    - Basque (eu.po) by Piarres Beobide
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Dominik Zablotny
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Portuguese (pt.po) by Miguel Figueiredo
    - Romanian (ro.po) by Ovidiu Damian
    - Russian (ru.po) by Yuri Kozlov
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 May 2005 11:31:43 +0000

grub-installer (1.07.1ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Apr 2005 19:14:26 +1000

## grub-installer 1.14ubuntu5

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: grub-installer
 Architecture: i386 hurd-i386 amd64
 Provides: bootable-system
-Depends: cdebconf-udeb, kernel-installer, created-fstab, di-utils-mapdevfs, os-prober
+Depends: cdebconf-udeb, kernel-installer, created-fstab, di-utils (>= 1.15), di-utils-mapdevfs, os-prober, ${dmidecode}
 XB-Installer-Menu-Item: 73
 XC-Package-Type: udeb
 Description: Install GRUB on a hard disk

## grub-installer 1.17ubuntu1

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 3.6.1
 
 Package: grub-installer
-Architecture: i386 hurd-i386 amd64
+Architecture: i386 hurd-i386 amd64 kfreebsd-i386 kfreebsd-amd64
 Provides: bootable-system
 Depends: cdebconf-udeb, kernel-installer, created-fstab, di-utils (>= 1.15), di-utils-mapdevfs, os-prober, ${dmidecode}
 XB-Installer-Menu-Item: 73

## grub-installer 1.20ubuntu3

=== debian/changelog ===
grub-installer (1.20ubuntu3) feisty; urgency=low

  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Mar 2007 00:34:41 +0000

grub-installer (1.20ubuntu2) feisty; urgency=low

  * Drop dependency on dmidecode-udeb and rely on new archdetect support for
    Intel Macs. Requires libdebian-installer4-udeb 0.47ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Jan 2007 13:13:40 +0000

grub-installer (1.20ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed.
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Add user parameters to defoptions rather than kopt, so that they
      aren't used in the recovery mode option (closes: Malone #31905).
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Dec 2006 14:03:41 +0000

grub-installer (1.20) unstable; urgency=low

  * Fix serial console support in the grub configuration. Closes: #224641.
    Thanks to Alex Owen for the patch and testing.
  * Some syntax changes to remove the need for temporary files.
  * Fix default for grub-installer/apt-install-failed template.
  * Add myself as uploader.

  [ Petter Reinholdtsen ]
  * Remove myself as uploader.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Catalan (ca.po) by Jordi Mallach
  * Esperanto (eo.po) by Serge Leblanc
  * Kurdish (ku.po) by rizoye-xerzi
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Panjabi (pa.po) by A S Alam
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Frans Pop <fjp@debian.org>  Thu, 30 Nov 2006 15:21:33 +0100

grub-installer (1.19ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed.
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Add user parameters to defoptions rather than kopt, so that they
      aren't used in the recovery mode option (closes: Malone #31905).
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Nov 2006 04:55:45 +0000

grub-installer (1.19) unstable; urgency=low

  [ Otavio Salvador ]
  * Remove Standards-Version field from control file.
  * Add Lintian override for standards-version.

  [ Frans Pop ]
  * Split out functions to write the grub menu files from grub-installer as
    it was getting too long and too complicated with support of both grub and
    grub2. grub and grub2 now use separate functions.
  * Disable the option to select grub2 for the Etch release as it was only
    experimental.

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Esperanto (eo.po) by Serge Leblanc
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Stefano Canepa
  * Japanese (ja.po) by Kenshi Muto
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Romanian (ro.po) by Eddy Petrișor
  * Tamil (ta.po) by Damodharan Rajalingam
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Frans Pop <fjp@debian.org>  Thu, 26 Oct 2006 17:07:04 +0200

grub-installer (1.18) unstable; urgency=low

  [ Joey Hess ]
  * Fix mistake in displaying failure message if grub-install run in rescue
    mode fails.

  [ Simon Huggins ]
  * Allow installation to more than one disk if preseeding.

  [ Otavio Salvador ]
  * Apply patch from Robert Millan <rmh@aybabtu.com> to remove hardcoded
    paths from grub-install and update-grub. Closes: #380351
  * Apply patch from Robert Millan <rmh@aybabtu.com> to allow use of grub2
    instead of grub legacy. Closes: 385180

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo


=== debian/control ===
Source: grub-installer
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Otavio Salvador <otavio@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2), po-debconf (>= 0.5.0)
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/arch/i386/grub-installer

Package: grub-installer
Architecture: i386 hurd-i386 amd64 kfreebsd-i386 kfreebsd-amd64
Provides: bootable-system
Depends: cdebconf-udeb, kernel-installer, created-fstab, di-utils (>= 1.15), di-utils-mapdevfs, os-prober
XB-Installer-Menu-Item: 73
XC-Package-Type: udeb
Description: Install GRUB on a hard disk

## grub-installer 1.22

=== debian/changelog ===
grub-installer (1.22) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Jens Seidel
  * French (fr.po) by Christian Perrier
  * Japanese (ja.po) by Kenshi Muto
  * Malayalam (ml.po) by Praveen A
  * Dutch (nl.po) by Bart Cornelis
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 17:53:22 +0100

grub-installer (1.21) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Danish (da.po) by Claus Hindsgaul
  * Hebrew (he.po) by Lior Kaplan
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Matej Kovačič

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 17:43:58 +0100

=== debian/control ===
Source: grub-installer
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Otavio Salvador <otavio@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2), po-debconf (>= 0.5.0)
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/arch/i386/grub-installer

Package: grub-installer
Architecture: i386 hurd-i386 amd64 kfreebsd-i386 kfreebsd-amd64
Provides: bootable-system
Depends: cdebconf-udeb, kernel-installer, created-fstab, di-utils (>= 1.15), di-utils-mapdevfs, os-prober, ${dmidecode}
XB-Installer-Menu-Item: 73
XC-Package-Type: udeb
Description: Install GRUB on a hard disk

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
DMIDECODE := dmidecode-udeb (>= 2.7)
endif

build:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_install debian/isinstallable DEBIAN
	dh_installdeb
	dh_fixperms
ifdef DMIDECODE
	dh_gencontrol -- -V'dmidecode=$(DMIDECODE)'
else
	dh_gencontrol
endif
	dh_builddeb

binary-indep: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## grub-installer 1.22etch1

=== debian/changelog ===
grub-installer (1.22etch1) stable; urgency=low

  [ Frans Pop ]
  * Improve code that sets serial console parameters. Closes: #416310.
    Changes based on a patch by Alex Owen.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 21 Sep 2007 12:12:01 +0200

## grub-installer 1.27ubuntu7

=== debian/changelog ===
grub-installer (1.27ubuntu7) hardy; urgency=low

  [ Colin Watson ]
  * Backport from trunk:
    - Run grub in the chroot for password encryption.

  [ James Westby ]
  * Confirm the GRUB password after entry (LP: #42019). Note that
    grub-installer/password-again must now be preseeded in addition to
    grub-installer/password, and that grub-installer/password-crypted now
    takes an MD5-crypted password rather than a boolean.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Apr 2008 01:55:07 +0100

grub-installer (1.27ubuntu6) hardy; urgency=low

  * Added the grub-installer/make_active debconf question.  When
    preseeded false, this will skip the code that marks a partition as
    bootable.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 13 Mar 2008 09:56:02 -0400

grub-installer (1.27ubuntu5) hardy; urgency=low

  * grub-installer: Pass the correct number of arguments to db_input for
    grub-installer/sataraid-error.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Wed, 13 Feb 2008 23:15:50 +1100

grub-installer (1.27ubuntu4) hardy; urgency=low

  * Teach grub-installer about virtio devices (/dev/vd*).

 -- Soren Hansen <soren@ubuntu.com>  Wed, 13 Feb 2008 00:38:04 +0100

grub-installer (1.27ubuntu3) hardy; urgency=low

  * Generate a device.map when bootdev_directory is set (loop
    installations) (LP: #188460).  Thanks Agostino Russo.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 06 Feb 2008 12:22:56 -0500

grub-installer (1.27ubuntu2) hardy; urgency=low

  [ Colin Watson ]
  * udev 117 merged all udev tools into a single binary called udevadm.
    Check for this and use it instead of udevinfo if available.

  [ Evan Dandrea ]
  * Handle cases where /boot is bindmounted (LP: #181658).

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 18 Jan 2008 15:41:36 -0500

grub-installer (1.27ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed.
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Add user parameters to defoptions rather than kopt, so that they
      aren't used in the recovery mode option.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Mark the partition to which GRUB is being installed as bootable, or
      failing that the first available primary partition on the disk to
      which GRUB is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for installation-from-windows. Setting this disables
      normal grub installation.
    - Only support grub-installer/grub2_instead_of_grub_legacy by preseeding
      for now.
  * Adjust Vcs-* headers for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Nov 2007 14:45:05 +0000

grub-installer (1.27) unstable; urgency=low

  [ Romain Perier ]
  * Password was sent in clear-text into menu.lst; use 'grub --batch'
    with md5crypt alternative to correct it. Closes: #442443.

  [ Otavio Salvador ]
  * Add maintainer-script-lacks-debhelper-token to
    source.lintian-overrides.
  * Change grub-installer.install to avoid .svn files on rescue.d dir.

  [ Updated translations ]
  * Belarusian (be.po) by Hleb Rubanau
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Esperanto (eo.po) by Serge Leblanc
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Korean (ko.po) by Sunjae Park
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Polish (pl.po) by Bartosz Fenski
  * Romanian (ro.po) by Eddy Petrișor
  * Albanian (sq.po) by Elian Myftiu
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Otavio Salvador <otavio@debian.org>  Sat, 27 Oct 2007 11:58:04 -0200

grub-installer (1.26) unstable; urgency=low

  [ Joey Hess ]
  * If grub fails to install, display an error message, rather than letting
    the user choose to continue running grub-install, which will then fail
    strangely later.
  * Substitute the name of grub/grub2 into the error message and progress bar
    message.

  [ Frans Pop ]
  * Support multiple disks when devfs device names are used (see #432314).

  [ Christian Perrier ]
  * Fix the consistency of "Serial ATA RAID" vs. "SATA RAID"

  [ Robert Millan ]
  * Misc cleanup improvements that will make it easier for grub-installer to
    be used on non-PC architectures.
  * Add myself to Uploaders.
  * Add initial support for powerpc.  Only pegasos/efika are expected to
    work at this point.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Jamil Ahmed
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Stefano Canepa
  * Japanese (ja.po) by Kenshi Muto
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Nepali (ne.po) by Nabin Gautam
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Thai (th.po) by Theppitak Karoonboonyanan


## grub-installer 1.27ubuntu8.1

=== debian/changelog ===
grub-installer (1.27ubuntu8.1) hardy-proposed; urgency=low

  * Backport fixes for booting degraded software RAID (LP: #290885).
  * grub-installer: determine if installing to a /dev/md RAID device, and
    iteratively write grub to each disk in the array.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 04 Nov 2008 14:28:31 -0600

grub-installer (1.27ubuntu8) hardy-proposed; urgency=low

  * Let grub automatically detect the boot device when using Wubi
    (LP: #217348).

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 02 May 2008 12:51:15 -0400

=== debian/control ===
Source: grub-installer
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Otavio Salvador <otavio@debian.org>, Frans Pop <fjp@debian.org>, Robert Millan <rmh@aybabtu.com>
Build-Depends: debhelper (>= 4.2), po-debconf (>= 0.5.0)
Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/arch/i386/grub-installer
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/grub-installer/ubuntu

Package: grub-installer
Architecture: i386 hurd-i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc
Provides: bootable-system
Depends: cdebconf-udeb, kernel-installer, created-fstab, di-utils (>= 1.15), di-utils-mapdevfs, os-prober, partman-utils, fdisk-udeb
XB-Installer-Menu-Item: 7300
XC-Package-Type: udeb
Description: Install GRUB on a hard disk

## grub-installer 1.32ubuntu10

=== debian/changelog ===
grub-installer (1.32ubuntu10) intrepid; urgency=low

  [ Evan Dandrea ]
  * Set a sensible default boot device when /cdrom is not iso9660, as this
    is probably a USB install and (hd0) does not make sense when installing
    from a removable disk (LP: #282037).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Oct 2008 23:08:21 +0100

grub-installer (1.32ubuntu9) intrepid; urgency=low

  * grub4dos can't handle UUIDs, so tweak previous change to continue using
    groot=()/ubuntu/disks in that case (LP: #283520).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Oct 2008 11:17:06 +0100

grub-installer (1.32ubuntu8) intrepid; urgency=low

  * Cope with new UUID-style groot when handling
    grub-installer/bootdev_directory (LP: #283520).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Oct 2008 09:20:51 +0100

grub-installer (1.32ubuntu7) intrepid; urgency=low

  * grub-installer: if the boot filesystem is on a virtio device, we need to
    null out the $frdisk variable (LP: #281492)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 14 Oct 2008 17:31:47 -0500

grub-installer (1.32ubuntu6) intrepid; urgency=low

  * Add support for lpia (LP: #274781)

 -- Emmet Hikory <persia@ubuntu.com>  Fri, 26 Sep 2008 22:38:21 +0900

grub-installer (1.32ubuntu5) intrepid; urgency=low

  * grub-installer: Properly make use of output from os-prober to configure
    the booting of other operating systems on dmraid arrays. Attempt to
    guess where in the device map the array belongs, by substituting
    the first drive in the dmraid array for the dmraid array device node
    itself, and removing any reference to other member disks of the array.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 25 Sep 2008 23:14:10 +1000

grub-installer (1.32ubuntu4) intrepid; urgency=low

  [ Dustin Kirkland ]
  * grub-installer: fix faulty logic (assumed mutual exclusion of dmraid,
    multipath, and md), (LP: #270758).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Sep 2008 10:31:53 +0100

grub-installer (1.32ubuntu3) intrepid; urgency=low

  [ Dustin Kirkland ]
  * grub-installer: fix broken md device determination (LP: #264533).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 06 Sep 2008 10:44:21 +0100

grub-installer (1.32ubuntu2) intrepid; urgency=low

  [ Colin Watson ]
  * Add another guard against calling 'udevadm info' with an empty device
    name (LP: #30772).

  [ Dustin Kirkland ]
  * grub-installer: add support for writing an MBR on each disk in an
    mdadm-managed RAID providing /boot (LP: #33649)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Aug 2008 19:02:15 +0100

grub-installer (1.32ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed.
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for installation-from-windows. Setting this disables
      normal grub installation, but still generates a device.map.
    - Only support grub-installer/grub2_instead_of_grub_legacy by preseeding
      for now.
    - Handle cases where /boot is bind-mounted.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Jun 2008 16:45:11 +0100

grub-installer (1.32) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay(Bongop) (DIT,BHUTAN)
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Hebrew (he.po) by Lior Kaplan
  * Indonesian (id.po) by Arief S Fitrianto
  * Marathi (mr.po) by Sampada
  * Norwegian Bokmal (nb.po) by Hans Fredrik Nordhaug
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Punjabi (Gurmukhi) (pa.po) by Amanpreet Singh Alam
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Vietnamese (vi.po) by Clytie Siddall
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Thu, 08 May 2008 00:00:05 -0300

grub-installer (1.31) unstable; urgency=low

  [ Colin Watson ]
  * Run grub in the chroot for password encryption.
  * Make grub-installer executable again.

  [ Frans Pop ]
  * Apply patch from Ian Campbell to add support for Xen virtual disks.
    Closes: #456784.

  [ James Westby ]
  * Confirm the GRUB password after entry (LP: #42019, closes: #321109).
    Based on earlier patches by Julian Graham and Frans Pop.
    Note that grub-installer/password-again must now be preseeded in addition
    to grub-installer/password, and that grub-installer/password-crypted now
    takes an MD5-crypted password rather than a boolean.

  [ Soren Hansen ]
  * Teach grub-installer about virtio devices (/dev/vd*).

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry


=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/grub-installer/ubuntu
 
 Package: grub-installer
-Architecture: i386 hurd-i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc
+Architecture: i386 hurd-i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc lpia
 Provides: bootable-system
 Depends: cdebconf-udeb, kernel-installer, created-fstab, di-utils (>= 1.15), di-utils-mapdevfs, os-prober, partman-utils, fdisk-udeb
-XB-Installer-Menu-Item: 7300
+XB-Installer-Menu-Item: 7400
 XC-Package-Type: udeb
 Description: Install GRUB on a hard disk

## grub-installer 1.36

=== debian/changelog ===
grub-installer (1.36) unstable; urgency=low

  * Allow to install grub when /boot is on XFS. Since version 0.97-47lenny2
    grub supports XFS so it can be installed without hanging grub-installer.

 -- Frans Pop <fjp@debian.org>  Fri, 23 Jan 2009 02:59:03 +0100

grub-installer (1.35) unstable; urgency=low

  * Add support for MMC/SD card devices (mmcblkX).

 -- Frans Pop <fjp@debian.org>  Mon, 29 Sep 2008 20:31:10 +0200

grub-installer (1.34) unstable; urgency=low

  [ Frans Pop ]
  * Fix up the grub root (groot) in menu.lst for dmraid if it is incorrect.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Catalan (ca.po) by Jordi Mallach
  * Welsh (cy.po) by Jonathan Price
  * Danish (da.po)
  * Greek, Modern (1453-) (el.po)
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Omer Zak
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Milo Casagrande
  * Georgian (ka.po) by Aiet Kolkhi
  * Central Khmer (km.po) by KHOEM Sokhem
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Marathi (mr.po) by Sampada
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Slovenian (sl.po) by Vanja Cvelbar
  * Serbian (sr.po) by Veselin Mijušković
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Mert Dirik
  * Ukrainian (uk.po) by Євгеній Мещеряков
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Deng Xiyue
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 21:47:51 -0300

=== debian/control ===
Source: grub-installer
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Otavio Salvador <otavio@debian.org>, Frans Pop <fjp@debian.org>, Robert Millan <rmh@aybabtu.com>
Build-Depends: debhelper (>= 4.2), po-debconf (>= 0.5.0)
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/arch/i386/grub-installer

Package: grub-installer
Architecture: i386 hurd-i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc
Provides: bootable-system
Depends: cdebconf-udeb, kernel-installer, created-fstab, di-utils (>= 1.15), di-utils-mapdevfs, os-prober, partman-utils
XB-Installer-Menu-Item: 7400
XC-Package-Type: udeb
Description: Install GRUB on a hard disk
